> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a webhook

> Create a new webhook



## OpenAPI

````yaml post /v1.0/{company_id}/webhooks
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/webhooks:
    post:
      tags:
        - Webhooks
      operationId: Webhooks_CreateWebhook
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookRequest'
        required: true
        x-position: 2
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfWebhook'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    CreateWebhookRequest:
      type: object
      additionalProperties: false
      required:
        - endpoint
        - name
        - events
      properties:
        endpoint:
          type: string
          format: uri
          minLength: 1
        name:
          type: string
          maxLength: 250
          minLength: 1
        source:
          $ref: '#/components/schemas/WebhookSubscriptionSourceEnum'
          nullable: true
        description:
          type: string
        events:
          type: array
          items:
            type: string
    SingleResponseOfWebhook:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/Webhook'
    ValidationProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    WebhookSubscriptionSourceEnum:
      type: string
      description: ''
      x-enumNames:
        - Dashboard
        - Zapier
      enum:
        - dashboard
        - zapier
    Webhook:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
        version:
          type: integer
          format: int32
        endpoint:
          type: string
          format: uri
        description:
          type: string
        signing_key:
          type: string
        status:
          $ref: '#/components/schemas/WebhookSubscriptionStatusEnum'
        source:
          $ref: '#/components/schemas/WebhookSubscriptionSourceEnum'
          nullable: true
        subscribed_events:
          type: array
          items:
            type: string
    WebhookSubscriptionStatusEnum:
      type: string
      description: ''
      x-enumNames:
        - Enabled
        - Disabled
      enum:
        - enabled
        - disabled
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````